#ifndef _CONFIG_H_
#define _CONFIG_H_

// REMOVE!!!
#include <stdio.h>

#define POP3PORT    110

#define MAX_CFGLINE 128

typedef struct {
    void *pacc_next;
    char *pacc_host;
    char *pacc_user;
    char *pacc_pass;
    u_short pacc_port;
    u_short pacc_count;
    u_long pacc_size;
    u_short pacc_mark;
    u_long pacc_spams;
} POP3ACCOUNT;

extern POP3ACCOUNT *account;

typedef struct {
    char acfg_secret[32];
    u_long acfg_dns;
} APPCONFIG;

extern APPCONFIG acfg;

extern char trace_level;

extern int AddAccount(char *host, char *user, char *pass, u_short port, u_long spams);
extern int DelAccount(char *host, char *user);

extern int SetIp(CONST char *name, CONST char *addr);
extern int SetMac(CONST u_char *mac);

extern int ConfigLoad(FILE *uart);
extern int ConfigSave(void);

#endif
